﻿--[[
-----------------------------------------------------------------------
AEmotes_AceAttorney addon by: DonaldSerrot 
- http://www.wowace.com/wiki/AEmotes
-----------------------------------------------------------------------
How to Install

* Unzip the package into: World of Warcraft/Interface/AddOns/
* Your zip software must preserve directory structures.

For this addon to actually do anything you need to add additional artist mods:
These can be found at: http://www.wowace.com/wiki/AEmotes
-----------------------------------------------------------------------
AceAttorney is owned by Capcom
        - soundbits used without permission...
-----------------------------------------------------------------------
== Commands:== 
/ae is interchangable with /aemote or /aemotes
/ae gsaa PhoenixO
/ae gsaa PhoenixH
/ae gsaa PhoenixT
/ae gsaa GodotO
-----------------------------------------------------------------------
== Changes==
-----------------------------------------------------------------------
== Notes ==
* This version is not yet Cross Faction enabled.  
This means that only those people that also have the addon 
and are in your same faction will hear the audio clip.  
Everyone will still the emote text, but it will be garbled 
for anyone not of your faction.
-----------------------------------------------------------------------
== License ==
The AEmotes_AceAttorney mod is, like AEmotes, released under the GNU General
Public License (GPL). For the full licence text please see gpl-v2.txt
Unofficial translations of the GPL can be found here: 
[http://www.gnu.org/licenses.../translations.html] 
-----------------------------------------------------------------------]]
local 	aemote_artist						= "gsaa";
local 	addon_path							= "Interface\\AddOns\\AEmotes_AceAttorney\\AceAttorneyAudio\\";
		table.insert(AEMOTES.artists,aemote_artist);
		AEMOTES[aemote_artist]				= {};
		AEMOTES[aemote_artist].AddonPath	= addon_path;
		AEMOTES[aemote_artist].parms		= {};


--- ==========================================================================
--- This is where all the various track specific variable information is set
--- ==========================================================================

table.insert(AEMOTES[aemote_artist].parms, 
	{ track="PhoenixO"; -- Also the name of the MP3 file
      emote="object"; -- Usual WoW emote, can be anything but best to use the ones with animiations
      msgs={ common		= "OBJECTION!!";
			 alliance	= "";
			 horde		= ""
		   }; 
     }
);
table.insert(AEMOTES[aemote_artist].parms, 
	{ track="PhoenixH"; -- Also the name of the MP3 file
	  msgs={ common		= "HOLD IT!!";
			 alliance	= "";
			 horde		= ""
		   }; 
	  emote="point"; -- Usual WoW emote, can be anything but best to use the ones with animiations
     }
);
table.insert(AEMOTES[aemote_artist].parms, 
	{ track="PhoenixT"; -- Also the name of the MP3 file
	  msgs={ common		= "TAKE THAT!!";
			 alliance	= "";
			 horde		= ""
		   }; 
	  emote="point"; -- Usual WoW emote, can be anything but best to use the ones with animiations
     }
);
table.insert(AEMOTES[aemote_artist].parms, 
	{ track="GodotO"; -- Also the name of the MP3 file
	  emote="object"; -- Usual WoW emote, can be anything but best to use the ones with animiations
	  msgs={ common		= "Objection... That's my rule.";
			 alliance	= "";
			 horde		= ""
		   }; 
	  emote="drink";
     }
);
table.insert(AEMOTES[aemote_artist].parms, 
	{ track="MiaO"; -- Also the name of the MP3 file
      emote="object"; -- Usual WoW emote, can be anything but best to use the ones with animiations
      msgs={ common		= "Objection!";
			 alliance	= "";
			 horde		= ""
		   }; 
     }
);
table.insert(AEMOTES[aemote_artist].parms, 
	{ track="MiaH"; -- Also the name of the MP3 file
      emote="point"; -- Usual WoW emote, can be anything but best to use the ones with animiations
      msgs={ common		= "Hold it!";
			 alliance	= "";
			 horde		= ""
		   }; 
     }
);
table.insert(AEMOTES[aemote_artist].parms, 
	{ track="MiaT"; -- Also the name of the MP3 file
      emote="point"; -- Usual WoW emote, can be anything but best to use the ones with animiations
      msgs={ common		= "Take that!";
			 alliance	= "";
			 horde		= ""
		   }; 
     }
);